Summary:	public domain yacc parser generator
Name:		byacc-devel
Version:	1.9
Release:	1
License:	public domain
Group:		Development
Source0:	yacc-1.9-fbsd.tar.gz
Patch: 		bsdyacc-linux.patch
Patch1: 	byacc-1.9-security.patch
Provides:	yacc byacc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a public domain yacc parser. It is used by many programs
during their build process. You probably want this package if you do
development.

%prep
%setup -q -n yacc
%patch -p1 -b .lnx
%patch1 -p1 -b .security
chmod -R u+Xw .

%build
chmod u+w `find .`
make CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{/usr/bin,%{_mandir}/man1}
install -c -m 755 -s yacc $RPM_BUILD_ROOT/usr/bin/yacc
install -c -m 644 yacc.1 $RPM_BUILD_ROOT%{_mandir}/man1/yacc.1
ln -sf yacc $RPM_BUILD_ROOT/usr/bin/byacc
ln -sf yacc.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/byacc.1.gz

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}
%{_mandir}
